<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg remove</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-remove">
<span id="hg-remove-1"></span>
<h1 class="title">hg remove</h1>
<h2 class="subtitle" id="remove-the-specified-files-on-the-next-commit">remove the specified files on the next commit</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
<li><a class="reference internal" href="#aliases" id="toc-entry-4">Aliases</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg remove [OPTION]... FILE...
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>Schedule the indicated files for removal from the current branch.</p>
<p>This command schedules the files to be removed at the next commit.
To undo a remove before that, see <a class="reference external" href="hg-revert.html"><tt class="docutils literal">hg revert</tt></a>. To undo added
files, see <a class="reference external" href="hg-forget.html"><tt class="docutils literal">hg forget</tt></a>.</p>
<div class="verbose docutils container">
<p>-A/--after can be used to remove only files that have already
been deleted, -f/--force can be used to force deletion, and -Af
can be used to remove files from the next revision without
deleting them from the working directory.</p>
<p>The following table details the behavior of remove for different
file states (columns) and option combinations (rows). The file
states are Added [A], Clean [C], Modified [M] and Missing [!]
(as reported by <a class="reference external" href="hg-status.html"><tt class="docutils literal">hg status</tt></a>). The actions are Warn, Remove
(from branch) and Delete (from disk):</p>
<table border="1" class="docutils">
<colgroup>
<col width="53%" />
<col width="12%" />
<col width="12%" />
<col width="12%" />
<col width="12%" />
</colgroup>
<thead valign="bottom">
<tr><th class="head">opt/state</th>
<th class="head">A</th>
<th class="head">C</th>
<th class="head">M</th>
<th class="head">!</th>
</tr>
</thead>
<tbody valign="top">
<tr><td>none</td>
<td>W</td>
<td>RD</td>
<td>W</td>
<td>R</td>
</tr>
<tr><td>-f</td>
<td>R</td>
<td>RD</td>
<td>RD</td>
<td>R</td>
</tr>
<tr><td>-A</td>
<td>W</td>
<td>W</td>
<td>W</td>
<td>R</td>
</tr>
<tr><td>-Af</td>
<td>R</td>
<td>R</td>
<td>R</td>
<td>R</td>
</tr>
</tbody>
</table>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last"><a class="reference external" href="hg-remove.html"><tt class="docutils literal">hg remove</tt></a> never deletes files in Added [A] state from the
working directory, not even if <tt class="docutils literal"><span class="pre">--force</span></tt> is specified.</p>
</div>
</div>
<p>Returns 0 on success, 1 if any warnings encountered.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-A</span>, <span class="option">--after</span></kbd></td>
<td>record delete for missing files</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-f</span>, <span class="option">--force</span></kbd></td>
<td>forget added files, delete modified files</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-S</span>, <span class="option">--subrepos</span></kbd></td>
<td>recurse into subrepositories</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-I</span>, <span class="option">--include <var>&lt;PATTERN[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>include names matching the given patterns</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-X</span>, <span class="option">--exclude <var>&lt;PATTERN[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>exclude names matching the given patterns</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-n</span>, <span class="option">--dry-run</span></kbd></td>
<td>do not perform actions, just print output</td></tr>
</tbody>
</table>
<p>[+] marked option can be specified multiple times</p>
</div>
<div class="section" id="aliases">
<h1><a class="toc-backref" href="#contents">Aliases</a></h1>
<pre class="literal-block">
rm
</pre>
</div>
</div>
</body>
</html>
